// Aprenent allows to make computations on polytopes such as finding vertices, intersecting, Minkowski sums, ...
//     Copyright (C) 2013 : Delos Vincent
//
//     This program is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
//
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License
//     along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/// \file JButtonInt.java
/// \author Delos Vincent

import java.io.*;
import java.awt.*;
import java.net.URL;
import java.awt.image.*;
import java.awt.event.*;
import java.util.*;

import javax.imageio.*;
import javax.sound.sampled.*;
import javax.swing.*;



public class JButtonInt extends JButton
{
    JButtonInt(JPanel tb2, String[] sons, String name, int buttonNumber) {
	super(name);
	init(tb2, name, buttonNumber);
    }

    JButtonInt(JPanel tb2, String name, int buttonNumber) {
	super(name);
	init(tb2, name, buttonNumber);
    }

    void init(JPanel tb2, String name, int buttonNumber) {
	_tb2 = tb2;
	_buttonNumber = buttonNumber;
    }

    int buttonNumber() {return _buttonNumber;}

    int _buttonNumber;
    JPanel _tb2;
}
