// Aprenent allows to make computations on polytopes such as finding vertices, intersecting, Minkowski sums, ...
//     Copyright (C) 2013 : Delos Vincent
//
//     This program is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
//
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License
//     along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/// \file JButtonInt.java
/// \author Delos Vincent

import java.io.*;
import java.awt.*;
import java.net.*;
import java.util.*;
import java.lang.*;

import javax.imageio.*;
import javax.sound.sampled.*;
import javax.swing.*;



public class sounds
{
    static public void playSounds(String strFilename) {
        URL soundFile=null;
	ClassLoader cl = sounds.class.getClassLoader();
	soundFile = cl.getResource(strFilename);//new URL(
	if (soundFile == null) {
	    System.out.println("sounds::playSounds() strFilename=" + strFilename);
	    System.out.println("sounds::playSounds() urlFilename=" + soundFile);
	    System.exit(1);
	}

	AudioInputStream audioInputStream = null;
	try {
	    audioInputStream = AudioSystem.getAudioInputStream(soundFile);
	}
	catch (Exception e) {
	    System.out.println("strFilename=" + strFilename);
	    e.printStackTrace();
	    System.exit(1);
	}
	AudioFormat audioFormat = audioInputStream.getFormat();
	SourceDataLine line = null;
	DataLine.Info info = new DataLine.Info(SourceDataLine.class, audioFormat);
	try {
	    line = (SourceDataLine) AudioSystem.getLine(info);
	    line.open(audioFormat);
	}
	catch (LineUnavailableException e) {
	    e.printStackTrace();
	    System.exit(1);
	}
	catch (Exception e) {
	    e.printStackTrace();
	    System.exit(1);
	}
	line.start();
	int nBytesRead = 0;
	byte[] abData = new byte[128000];
	while (nBytesRead != -1) {
	    try {
		nBytesRead = audioInputStream.read(abData, 0, abData.length);
	    }
	    catch (IOException e) {
		e.printStackTrace();
	    }
	    if (nBytesRead >= 0) {
		int nBytesWritten = line.write(abData, 0, nBytesRead);
	    }
	}
	line.drain();
	line.close();
    }
}
